/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
//package kytky;

import java.util.ArrayList;
import java.util.Scanner;

class Pipe {

    int from;
    int to;
    int val;

    public Pipe(int from, int to, int val) {
        this.from = from;
        this.to = to;
        this.val = val;
    }

    public int getFrom() {
        return from;
    }

    public int getTo() {
        return to;
    }

    public int getVal() {
        return val;
    }
}

public class Main {

    public static ArrayList<ArrayList<Pipe>> pipes;

    public static int parValue(int par, int node) {
        for (Pipe p : pipes.get(par)) {
            if ((p.from == node && p.to == par) || (p.from == par && p.to == node)) {
                return p.val;
            }
        }
        return 0;
    }

    public static int findMax(int node, int par) {
        int res = 0;
        ArrayList<Pipe> ps = pipes.get(node);
        for (Pipe p : ps) {
            if (p.from != par || p.to != par) {
                if (p.from == node) {
                    res += findMax(p.to, node);
                } else {
                    res += findMax(p.from, node);
                }
            }
        }

        return (int) (Math.min(res, parValue(par, node)));
    }

    public static void main(String[] args) {
        int size;
        int cNode;


        Scanner sc = new Scanner(System.in);
        size = sc.nextInt();
        cNode = sc.nextInt();
        pipes = new ArrayList<ArrayList<Pipe>>(size);
        for (ArrayList<Pipe> a : pipes) {
            a = new ArrayList<Pipe>();
        }

        for (int i = 0; i < size - 1; i++) {
            int a = sc.nextInt();
            int b = sc.nextInt();
            int c = sc.nextInt();

            a--;
            b--;

            Pipe p = new Pipe(a, b, c);
            pipes.get(a).add(p);
            pipes.get(b).add(p);
            
        }

        System.out.println(findMax(cNode,-1));

    }
}
